<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>
<body>

<%@ include file="/WEB-INF/pages/common/fragments/user/user-header.jspf" %>

<h2><bean:message key="assignedgroups.jsp.header"/></h2>

<div class="page-summary">
  <p><bean:message key="assignedgroups.jsp.summary"/></p>
  <rhn:require acl="uid_role(system_group_admin)">
    <p><bean:message key="assignedgroups.jsp.asadmin"/></p>
  </rhn:require>
</div>

<html:form action="/users/AssignedSystemGroupsSubmit">
<rhn:list pageList="${requestScope.pageList}" 
          noDataText="assignedgroups.jsp.nogroups">
  <rhn:listdisplay>
    <rhn:column header="assignedgroups.jsp.accessible" 
                style="text-align: center;" width="5%">
      <c:if test="${userIsOrgAdmin}">
            [&#160;Admin&#160;Access&#160;]
      </c:if>
      <c:if test="${not (userIsOrgAdmin)}">
        <html:multibox property="selectedGroups">${current.id}</html:multibox>
        <input type="hidden" name="cid" value="${current.id}" />
      </c:if>

    </rhn:column>
    <rhn:column header="assignedgroups.jsp.group"
                url="/network/systems/groups/details.pxt?sgid=${current.id}">
        ${current.group_name}
    </rhn:column>
  </rhn:listdisplay>
  <input type="hidden" name="uid" value="${user.id}" />
  <input type="hidden" name="formvars" value="uid" />

  <c:if test="${not (userIsOrgAdmin)}">
    <div align="right">
      <hr />
      <html:submit property="submit">
        <bean:message key="assignedgroups.jsp.submitpermissions"/>
      </html:submit>
    </div>
  </c:if>
</rhn:list>

<h2><bean:message key="assignedgroups.jsp.header2"/></h2>

<div class="page-summary">
<p><bean:message key="assignedgroups.jsp.youcanselect"/>
</p>
</div>
  <table class="details" align="center">
    <tr>
      <th><bean:message key="assignedgroups.jsp.defaultsysgroups"/></th>
      <td>
        <c:if test="${empty availableGroups}">
          <div class="list-empty-message">
               <bean:message key="assignedgroups.jsp.nogroups"/></div>
        </c:if>
        <c:if test="${!empty availableGroups}">
        <html:select multiple="t" property="defaultGroups" size="4">
          <html:options collection="availableGroups"
            property="value"
            labelProperty="display" />
        </html:select>
        </c:if>
      </td>
    </tr>
  </table>

  <c:if test="${!empty availableGroups}">
    <html:hidden property="uid" />
    <div align="right">
      <hr />
      <html:submit property="submit">
        <bean:message key="assignedgroups.jsp.submitdefaults"/>
      </html:submit>
    </div>
  </c:if>
</html:form>
</body>
</html>
