<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html>
<body>

  <html:messages id="message" message="true">
    <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
  </html:messages>

  <rhn:toolbar base="h1" img="/img/rhn-icon-search.gif"
               helpUrl="/help/reference/s1-sm-channels-packages.html#S2-SM-SOFTWARE-SEARCH">
    <bean:message key="packagesearch.jsp.toolbar"/>
  </rhn:toolbar>

  <c:if test="${not empty message}">
      <div class="local-alert">${message}</div><br />
  </c:if>
  <p><bean:message key="packagesearch.jsp.pagesummary"/></p>
  
  <p><bean:message key="packagesearch.jsp.instructions"/></p>
  
  <html:form action="/channels/Search.do">
  
  <!-- Search Box -->
   <div class="search-choices">

       <div class="search-choices-group">
         <table class="details">
           <tr><th><bean:message key="packagesearch.jsp.searchfor"/></th>
             <td>
               <input type="text" name="search_string" value="${search_string}" maxlength="36" />
               <input type="image" src="/img/button-search.gif" name="Search!" />
             </td>
           </tr>
           <tr><th><bean:message key="packagesearch.jsp.whatsearch"/></th>
             <td>
               <div style="text-align: left">
                 <html:select property="view_mode">
	               <html:options collection="searchOptions"
	                             property="value"
	                             labelProperty="display" />
                 </html:select>
               </div>
             </td>
           </tr>
           <tr><th><bean:message key="packagesearch.jsp.wheresearch"/></th>
             <td rowspan="2">
               <div style="text-align: center">
                   <input type="checkbox" name="relevant" value="yes" 
                           <c:if test="${not empty relevant}">checked</c:if>>
                   <bean:message key="packagesearch.jsp.relevant"/></div>
               <div style="font-weight: bold; text-align: center">-or-</div>
               <div style="text-align: center">
                   <input type="checkbox" name="ia32" value="channel-ia32" 
                           <c:if test="${not empty ia32}">checked</c:if>>
                   <bean:message key="packagesearch.jsp.ia32"/>
                   <input type="checkbox" name="ia64" value="channel-ia32" 
                           <c:if test="${not empty ia64}">checked</c:if>>
                   <bean:message key="packagesearch.jsp.ia64"/>
                   <input type="checkbox" name="x86" value="channel-x86_64" 
                           <c:if test="${not empty x86}">checked</c:if>>
                   <bean:message key="packagesearch.jsp.x86"/>
               </div>
             </td>
         </table>
       </div>

   </div>

  </html:form>

<c:if test="${search_string != null}">

    <hr/>
  <form method="POST" name="rhn_list" action="/rhn/channels/SearchSubmit.do">   
    <input type="hidden" name="search_string" value="${search_string}" maxlength="36" />
    <input type="hidden" name="view_mode" value="${view_mode}" maxlength="36" />
    
    <rhn:list pageList="${requestScope.pageList}" noDataText="packagesearch.jsp.nopackages">
          
	  <rhn:listdisplay filterBy="packagesearch.jsp.name">
        
		<rhn:column header="packagesearch.jsp.name"
		            url="/rhn/errata/details/Details.do?eid=${current.id}">
	        ${current.packageName}
	    </rhn:column>
	    
        <rhn:column header="packagesearch.jsp.summary">
	        <rhn:highlight tag="strong" text="${search_string}">
                ${current.summary}
            </rhn:highlight>
	    </rhn:column>

	  </rhn:listdisplay>

    </rhn:list>

  </form>
  
</c:if>


</body>
</html>