<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html:xhtml/>
<html>
<head>
    <meta name="name" value="Systems Affected" />
</head>
<body>

<%@ include file="/WEB-INF/pages/common/fragments/errata/errata-header.jspf" %>

<html:messages id="message" message="true">
    <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
</html:messages>

<h2><img src="/img/rhn-icon-system.gif" /><bean:message key="affectedsystems.jsp.header"/></h2>

  <div class="page-summary">
    <p>
    <bean:message key="affectedsystems.jsp.summary"/>
    <rhn:require acl="org_entitlement(sw_mgr_enterprise)">
      <bean:message key="affectedsystems.jsp.summarywithacl"/>
    </rhn:require>
    </p>
  </div>
  
<c:set var="pageList" value="${requestScope.pageList}" />
<form method="POST" name="rhn_list" action="/rhn/errata/details/SystemsAffectedSubmit.do?eid=${param.eid}">
<rhn:list pageList="${requestScope.pageList}" noDataText="nosystems.message">
  <rhn:listdisplay set="${requestScope.set}" hiddenvars="${requestScope.newset}"
                   filterBy="actions.jsp.system" button="affectedsystems.jsp.apply"
                   buttonAcl="org_entitlement(sw_mgr_enterprise)">
	  <rhn:require acl="org_entitlement(sw_mgr_enterprise)">
	              <rhn:set value="${current.id}" disabled="${not current.selectable}"/>
	  </rhn:require>
	<rhn:column header="actions.jsp.system">
	  <a href="/network/systems/details/index.pxt?sid=${current.id}">${current.name}</a>
    </rhn:column>
    <rhn:column header="affectedsystems.jsp.status">
	  <c:if test="${not empty current.status}">
         <c:if test="${current.currentStatusAndActionId[0] == 'Queued'}">
			<a href="/rhn/schedule/ActionDetails.do?aid=${current.currentStatusAndActionId[1]}">
			  <bean:message key="affectedsystems.jsp.pending"/></a>
         </c:if>
         <c:if test="${current.currentStatusAndActionId[0] == 'Failed'}">
			<a href="/rhn/schedule/ActionDetails.do?aid=${current.currentStatusAndActionId[1]}">
			  <bean:message key="actions.jsp.failed"/></a>
         </c:if>
      </c:if>
	  <c:if test="${empty current.status}">
            <bean:message key="affectedsystems.jsp.none"/>
      </c:if>
    </rhn:column>
    <rhn:column header="actions.jsp.basechannel">
      ${current.channelLabels}
    </rhn:column>
    <rhn:column header="affectedsystems.jsp.entitle">
      ${current.entitlementLevel}
    </rhn:column>
  </rhn:listdisplay>
</rhn:list>

</form>
</body>
</html>
