<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>

<html>
<body>

  <html:messages id="message" message="true">
    <rhn:messages><c:out escapeXml="false" value="${message}" /></rhn:messages>
  </html:messages>

  <rhn:toolbar base="h1" img="/img/rhn-icon-search.gif"
               helpUrl="/help/reference/s1-sm-errata.html#S2-SM-ERRATA-SEARCH">
    <bean:message key="erratasearch.jsp.toolbar"/>
  </rhn:toolbar> 

  <p><bean:message key="erratasearch.jsp.summary"/></p>
  
  <p><bean:message key="erratasearch.jsp.instructions"/></p>
  
  <html:form action="/errata/Search.do">
  
  <!-- Search Box -->
   <div class="search-choices">

       <div class="search-choices-group">
         <table class="details">
           <tr><th><bean:message key="erratasearch.jsp.searchfor"/></th>
             <td>
               <input type="text" name="search_string" value="${search_string}" maxlength="36" />
               <input type="image" src="/img/button-search.gif" name="Search!" />
             </td>
           </tr>
           <tr><th><bean:message key="erratasearch.jsp.whatsearch"/></th>
             <td rowspan="2">
               <div style="text-align: center">
                 <html:select property="view_mode">
	               <html:options collection="searchOptions"
	                             property="value"
	                             labelProperty="display" />
                 </html:select>
               </div>
             </td>
           </tr>
         </table>
       </div>

   </div>

  </html:form>

<c:if test="${search_string != null}">

    <hr/>
  <form method="POST" name="rhn_list" action="/rhn/errata/SearchSubmit.do">   
    <input type="hidden" name="search_string" value="${search_string}" maxlength="36" />
    <input type="hidden" name="view_mode" value="${view_mode}" maxlength="36" />
    
    <rhn:list pageList="${requestScope.pageList}" noDataText="erratasearch.jsp.noerrata">
          
	  <rhn:listdisplay>        
        
        <%-- Column: Type
             One of three images gets displayed here depending on 
             advisory type.
        --%>
	    <rhn:column header="erratalist.jsp.type" style="text-align: center;">
	        <c:if test="${current.securityAdvisory}">
	            <img src="/img/wrh-security.gif" 
	                 title="<bean:message key="erratalist.jsp.securityadvisory"/>" />
	        </c:if>
	        <c:if test="${current.bugFix}">
	            <img src="/img/wrh-bug.gif" 
	                 title="<bean:message key="erratalist.jsp.bugadvisory"/>" />
	        </c:if>
	        <c:if test="${current.productEnhancement}">
	            <img src="/img/wrh-product.gif" 
	                 title="<bean:message key="erratalist.jsp.productenhancementadvisory"/>" />
	        </c:if>
	    </rhn:column>
	
	    <%-- Column: Advisory
	         This is always a link to the errata details.
	    --%>
		<rhn:column header="erratalist.jsp.advisory"
		            url="/rhn/errata/details/Details.do?eid=${current.id}">
	        ${current.advisoryName}
	    </rhn:column>
	    
	    <c:choose>
          <c:when test="${view_mode == 'simple_errata_search'}">
		    <%-- If this is a simple_errata_search, we display the synopsis column
		    --%>
		    <rhn:column header="erratalist.jsp.synopsis">
		        <rhn:highlight tag="strong" text="${search_string}">
                    ${current.advisorySynopsis}
                </rhn:highlight>
		    </rhn:column>
          </c:when>

          <c:when test="${view_mode == 'errata_search_by_advisory'}">
	        <%-- If this is a errata_search_by_advisory, we display the synopsis
	             column, but call it Errata Advisory
	        --%>
            <rhn:column header="search.jsp.errata_advisory">
				<rhn:highlight tag="strong" text="${search_string}">
		        	${current.advisorySynopsis}
                </rhn:highlight>
		    </rhn:column>
          </c:when>

          <c:when test="${view_mode == 'errata_search_by_package_name'}">
            <%-- If this is a errata_search_by_package_name, we display
                 a Package Name column.
            --%>
            <rhn:column header="search.jsp.package_name">
              <c:forEach items="${current.packageNames}" var="name">
                <rhn:highlight tag="strong" text="${search_string}">
                  <c:out value="${name}"/>
                </rhn:highlight>
                <br>
              </c:forEach>
            </rhn:column>

          </c:when>

        </c:choose>
	  </rhn:listdisplay>

    </rhn:list>

  </form>
  
</c:if>


</body>
</html>
