<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://rhn.redhat.com/rhn" prefix="rhn" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<html:xhtml />
<html>

<head>
<meta http-equiv="Pragma" content="no-cache">

<script language="javascript">

function swapValues(fromCtlId, toCtlId) {
   var fromCtl = document.getElementById(fromCtlId);
   var toCtl = document.getElementById(toCtlId);
   toCtl.value = fromCtl.value;
}

function moveNext() {
   var form = document.getElementById("wizard-form");
   form.submit();
}

function setStep(stepName) {
	var field = document.getElementById("wizard-step");
	field.value = stepName;
}

function toggle(id, state) {
   var ctl = document.getElementById(id);
   ctl.disabled = !state;
}

function setInitialState() {
	var existingProfile = document.getElementById("existingProfile");
	var activationKey = document.getElementById("activationKey");
	if(!existingProfile.checked && !activationKey.checked) {
	  existingProfile.checked = true;
	  toggle("activationKeys", false);
	}
	else if(existingProfile.checked) {
	  toggle("activationKeys", false);
	}
	else if(activationKey.checked) {
	  toggle("activationKeys", true);
	}
	var syncExisting = document.getElementById("syncExisting");
	var syncPackage = document.getElementById("syncPackage");
	var syncSystem = document.getElementById("syncSystem");
	var syncNone = document.getElementById("syncNone");
	if(!syncExisting.checked && !syncPackage.checked && !syncSystem.checked &&
	    !syncNone.checked) {
	    syncExisting.checked = true;
	    toggle("syncSystemSelect", false);
	    toggle("syncPackageSelect", false);
    }
	
}
</script>
</head>

<body onload="setInitialState();">

<%@ include file="/WEB-INF/pages/common/fragments/systems/system-header.jspf" %>

<br />
<h2><img src="/img/icon_kickstart_session-medium.gif" /><bean:message key="kickstart.schedule.heading4.jsp" /></h2>

<html:form method="POST" action="/systems/details/kickstart/ScheduleWizard.do" styleId="wizard-form">
    <html:hidden property="wizardStep" value="third" styleId="wizard-step" />
    <html:hidden property="scheduleAsap" />
    <html:hidden property="date_year" />
    <html:hidden property="date_month" />
    <html:hidden property="date_day" />
    <html:hidden property="date_hour" />
    <html:hidden property="date_minute" />
    <html:hidden property="date_am_pm" />
    <html:hidden property="ksid" />
    <html:hidden property="sid" />

    <html:hidden property="wizardStep" value="third" styleId="wizard-step" />
    <html:hidden property="wizardStep" value="third" styleId="wizard-step" />
    <table class="details" cols=2">        
      <tr>
        <th width="10%"><bean:message key="kickstart.schedule.kernel.params.jsp" />:</th>
        <td><html:text property="kernelParams" /></td>
      </tr>
      <tr>
        <th width="10%"><bean:message key="kickstart.schedule.system.profile.jsp" />:</th>
        <td><html:radio styleId="existingProfile" onclick="toggle('activationKeys', false);" property="useExistingProfile" value="true"><bean:message key="kickstart.schedule.system.profile.option1.jsp" /></html:radio><br /><br />
            <bean:size id="size" name="kickstartScheduleWizardForm" property="activationKeys"/>
            <c:if test="${size > 0}">
                <html:radio styleId="activationKey" onclick="toggle('activationKeys', true);" property="useExistingProfile" value="false"><bean:message key="kickstart.schedule.system.profile.option2.jsp" /></html:radio><br />
                <br />
                <html:select styleId="activationKeys" property="activationKey">
                <html:optionsCollection property="activationKeys"
                  label="note" value="id"/>
                </html:select>
            </c:if>              
        </td>
      </tr>
      <tr>
        <th width="10%"><bean:message key="kickstart.schedule.sync.pkg.profile.jsp" />:</th>
        <td>
          <html:radio styleId="syncExisting" value="existing" property="targetProfileType" onclick="toggle('syncPackageSelect', false);toggle('syncSystemSelect', false);"><bean:message key="kickstart.schedule.sync.pkg.profile.option1.jsp" /></html:radio><br /><br />
          <bean:size id="size" name="kickstartScheduleWizardForm" property="syncPackages"/>
          <c:if test="${size > 0}">
          <html:radio styleId="syncPackage" onclick="toggle('syncPackageSelect', true);toggle('syncSystemSelect', false);" value="package" property="targetProfileType"><bean:message key="kickstart.schedule.sync.pkg.profile.option2.jsp" /></html:radio>:&nbsp;&nbsp;
            <html:select styleId="syncPackageSelect" property="targetProfile">
              <html:optionsCollection property="syncPackages" 
                label="name" value="id"/>
            </html:select>
          <br /><br />
          </c:if>
          <bean:size id="size" name="kickstartScheduleWizardForm" property="syncSystems"/>
          <c:if test="${size > 0}">
            <html:radio styleId="syncSystem" value="system" property="targetProfileType" onclick="toggle('syncPackageSelect', false);toggle('syncSystemSelect', true);"><bean:message key="kickstart.schedule.sync.pkg.profile.option3.jsp" /></html:radio>:&nbsp;&nbsp;
              <html:select styleId="syncSystemSelect" property="targetProfile">
                <html:optionsCollection property="syncSystems" 
                  label="system_name" value="sid"/>
              </html:select>
            <br /><br />                    
          </c:if>
          <html:radio styleId="syncNone" value="none" property="targetProfileType" onclick="toggle('syncPackageSelect', false);toggle('syncSystemSelect', false);"><bean:message key="kickstart.schedule.sync.pkg.profile.option4.jsp" /></html:radio><br />	          
        </td>
      </tr>
    </table>
    <hr>
	<table width="100%" cols="1">
	  <tr>
	    <td align="right">
	      <input type="button" value="<bean:message key="kickstart.schedule.button3.jsp" />" onclick="setStep('first');moveNext();" />	    
          <input type="button" value="<bean:message key="kickstart.schedule.button2.jsp" />" onclick="setStep('third');moveNext();" />
	    </td>
	  </tr>    
</html:form>
</div>
</body>
</html>
