<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul {
   list-style-image: url('/img/parent_node.gif');
}

.toolbar-h1 {
   text-transform: capitalize;
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="toolbar-h1">
<img src="/img/rhn-icon-api.gif" /> <a href="/rhn/apidoc/">API Overview</a>:

channel.software<br />

</div>
<span class="small-text">( <a href="/rhn/apidoc/">Return to API Overview</a> )</span>
<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul>

<li><a href="#addPackages">addPackages</a></li>

<li><a href="#availableEntitlements">availableEntitlements</a></li>

<li><a href="#create">create</a></li>

<li><a href="#delete">delete</a></li>

<li><a href="#getDetails">getDetails</a></li>

<li><a href="#isGloballySubscribable">isGloballySubscribable</a></li>

<li><a href="#isUserSubscribable">isUserSubscribable</a></li>

<li><a href="#listAllPackages">listAllPackages</a></li>

<li><a href="#listAllPackages">listAllPackages</a></li>

<li><a href="#listAllPackages">listAllPackages</a></li>

<li><a href="#listAllPackagesByDate">listAllPackagesByDate</a></li>

<li><a href="#listAllPackagesByDate">listAllPackagesByDate</a></li>

<li><a href="#listAllPackagesByDate">listAllPackagesByDate</a></li>

<li><a href="#listArches">listArches</a></li>

<li><a href="#listErrata">listErrata</a></li>

<li><a href="#listErrata">listErrata</a></li>

<li><a href="#listErrata">listErrata</a></li>

<li><a href="#listLatestPackages">listLatestPackages</a></li>

<li><a href="#listSubscribedSystems">listSubscribedSystems</a></li>

<li><a href="#listSystemChannels">listSystemChannels</a></li>

<li><a href="#removePackages">removePackages</a></li>

<li><a href="#setGloballySubscribable">setGloballySubscribable</a></li>

<li><a href="#setSystemChannels">setSystemChannels</a></li>

<li><a href="#setUserSubscribable">setUserSubscribable</a></li>

</ul>
</div>
<h2>Description</h2>

<p>
ChannelSoftwareHandler
</p>

<p><strong>Namespace</strong>:

channel.software

</p>
<hr />

<h3><a name="addPackages" href="#top">Method: addPackages</a></h3>

Description:<br />

Adds a given list of packages to the given channel.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - target channel</li>

<li>array packageIds - ids of the packages to add to the channel</li>

</ul>
<p />
Returns:

<code>
int - 1 if successful, exception otherwise
</code>

<p />

<hr />

<h3><a name="availableEntitlements" href="#top">Method: availableEntitlements</a></h3>

Description:<br />

Returns the number of available subscriptions for the given channel<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

</ul>
<p />
Returns:

<code>
int number of available subscriptions for the given channel
</code>

<p />

<hr />

<h3><a name="create" href="#top">Method: create</a></h3>

Description:<br />

Creates a software channel, parent_channel_label can be an empty string<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string label - label of the new channel</li>

<li>string name - name of the new channel</li>

<li>string summary - summary of the channel</li>

<li>string archLabel - the label of the arch the channel corresponds to</li>

<li>string parentLabel - label of the parent of this channel, an empty string if it does not have one</li>

</ul>
<p />
Returns:

<code>
int - 1 if the creation operation succeeded, 0 otherwise
</code>

<p />

<hr />

<h3><a name="delete" href="#top">Method: delete</a></h3>

Description:<br />

Lists the potential software channel architectures that can be created<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to delete</li>

</ul>
<p />
Returns:

<code>
int - 1 if the operation succeeded, an exception otherwise
</code>

<p />

<hr />

<h3><a name="getDetails" href="#top">Method: getDetails</a></h3>

Description:<br />

Returns details of the given channel as a map<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (map)</li> <ul> <li>string "channel_arch_name"</li> <li>string "channel_summary"</li> <li>string "channel_description"</li> <li>string "channel_gpg_key_url"</li> <li>string "channel_gpg_key_id"</li> <li>string "channel_gpg_key_fp"</li> <li>string "channel_end_of_life"</li> <li>string "parent_channel_label"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="isGloballySubscribable" href="#top">Method: isGloballySubscribable</a></h3>

Description:<br />

Returns whether the channel is subscribable by any user in the organization<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

</ul>
<p />
Returns:

<code>
int - 1 if true, 0 otherwise
</code>

<p />

<hr />

<h3><a name="isUserSubscribable" href="#top">Method: isUserSubscribable</a></h3>

Description:<br />

Returns whether the channel may be subscribed to by the given user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

<li>string login - login of the target user</li>

</ul>
<p />
Returns:

<code>
int - 1 if subscribable, 0 if not
</code>

<p />

<hr />

<h3><a name="listAllPackages" href="#top">Method: listAllPackages</a></h3>

Description:<br />

Lists all packages in the channel, regardless of package version, between the given dates.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

<li>date startDate</li>

<li>date endDate</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "package_name"</li> <li>string "package_version"</li> <li>string "package_release"</li> <li>string "package_epoch"</li> <li>string "package_id"</li> <li>string "package_arch_label"</li> <li>string "package_last_modified"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listAllPackages" href="#top">Method: listAllPackages</a></h3>

Description:<br />

Lists all packages in the channel, regardless of the package version<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "package_name"</li> <li>string "package_version"</li> <li>string "package_release"</li> <li>string "package_epoch"</li> <li>string "package_id"</li> <li>string "package_arch_label"</li> <li>string "package_last_modified"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listAllPackages" href="#top">Method: listAllPackages</a></h3>

Description:<br />

Lists all packages in the channel, regardless of version whose last modified date is greater than given date.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

<li>date startDate</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "package_name"</li> <li>string "package_version"</li> <li>string "package_release"</li> <li>string "package_epoch"</li> <li>string "package_id"</li> <li>string "package_arch_label"</li> <li>string "package_last_modified"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listAllPackagesByDate" href="#top">Method: listAllPackagesByDate</a></h3>

Description:<br />

Lists all packages in the channel, regardless of the package version, whose last modified date is greater than given date<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

<li>date startDate</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "package_name"</li> <li>string "package_version"</li> <li>string "package_release"</li> <li>string "package_epoch"</li> <li>string "package_id"</li> <li>string "package_arch_label"</li> <li>string "package_last_modified"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listAllPackagesByDate" href="#top">Method: listAllPackagesByDate</a></h3>

Description:<br />

Lists all packages in the channel, regardless of the package version, between the given dates<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

<li>date startDate</li>

<li>date endDate</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "package_name"</li> <li>string "package_version"</li> <li>string "package_release"</li> <li>string "package_epoch"</li> <li>string "package_id"</li> <li>string "package_arch_label"</li> <li>string "package_last_modified"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listAllPackagesByDate" href="#top">Method: listAllPackagesByDate</a></h3>

Description:<br />

Lists all packages in the channel, regardless of the package version<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "package_name"</li> <li>string "package_version"</li> <li>string "package_release"</li> <li>string "package_epoch"</li> <li>string "package_id"</li> <li>string "package_arch_label"</li> <li>string "package_last_modified"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listArches" href="#top">Method: listArches</a></h3>

Description:<br />

Lists the potential software channel architectures that can be created<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (channel arch)</li> <ul> <li>string "arch_name"</li> <li>string "arch_label"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listErrata" href="#top">Method: listErrata</a></h3>

Description:<br />

List the errata applicable to a channel<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (system)</li> <ul> <li>string "sid" - system id</li> <li>string "system_name"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listErrata" href="#top">Method: listErrata</a></h3>

Description:<br />

List the errata applicable to a channel after given startDate<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

<li>string startDate</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (errata)</li> <ul> <li>string "ERRATA_ADVISORY" - name of the advisory</li> <li>string "ERRATA_ISSUE_DATE"</li> <li>string "ERRATA_UPDATE_DATE"</li> <li>string "ERRATA_SYNOPSIS"</li> <li>string "ERRATA_ADVISORY_TYPE"</li> <li>string "errata_last_modified_date"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listErrata" href="#top">Method: listErrata</a></h3>

Description:<br />

Returns list of subscribed systems for the given channel label<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

<li>string startDate</li>

<li>string endDate</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (errata)</li> <ul> <li>string "ERRATA_ADVISORY" - name of the advisory</li> <li>string "ERRATA_ISSUE_DATE"</li> <li>string "ERRATA_UPDATE_DATE"</li> <li>string "ERRATA_SYNOPSIS"</li> <li>string "ERRATA_ADVISORY_TYPE"</li> <li>string "errata_last_modified_date"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listLatestPackages" href="#top">Method: listLatestPackages</a></h3>

Description:<br />

Lists the packages with the largest version (including release and epoch) for the given channel<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "package_name"</li> <li>string "package_version"</li> <li>string "package_release"</li> <li>string "package_epoch"</li> <li>string "package_id"</li> <li>string "package_arch_label"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listSubscribedSystems" href="#top">Method: listSubscribedSystems</a></h3>

Description:<br />

Returns list of subscribed systems for the given channel label<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to query</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (system)</li> <ul> <li>int "sid" - system id</li> <li>string "system_name"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listSystemChannels" href="#top">Method: listSystemChannels</a></h3>

Description:<br />

Returns a list of channels that a system is subscribed to for the given system id<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int sid - id of the system to be queried</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (channel)</li> <ul> <li>string "channel_label"</li> <li>string "channel_name"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="removePackages" href="#top">Method: removePackages</a></h3>

Description:<br />

Removes a given list of packages from the given channel.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - target channel</li>

<li>array packageIds - ids of the packages to remove from the channel</li>

</ul>
<p />
Returns:

<code>
int - 1 if successful, exception otherwise
</code>

<p />

<hr />

<h3><a name="setGloballySubscribable" href="#top">Method: setGloballySubscribable</a></h3>

Description:<br />

Set globally subscribable attribute for given channel.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - channel to target</li>

<li>string - value of the flag to set</li>

</ul>
<p />
Returns:

<code>
int - 1 if successful, exception otherwise
</code>

<p />

<hr />

<h3><a name="setSystemChannels" href="#top">Method: setSystemChannels</a></h3>

Description:<br />

Change a systems subscribed channels to the list of channels passed in.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int sid - id of the system</li>

<li>array channelLabels - labels of the channel to subscribe the system to</li>

</ul>
<p />
Returns:

<code>
int - 1 on success, 0 otherwise
</code>

<p />

<hr />

<h3><a name="setUserSubscribable" href="#top">Method: setUserSubscribable</a></h3>

Description:<br />

Set the subscribable flag for a given channel and user. If value is set to 'true', this method will give the user subscribe permissions to the channel. Otherwise, that priveledge is revoked.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string channelLabel - label of the channel</li>

<li>string login - login of the target user</li>

<li>string value - value of the flag to set</li>

</ul>
<p />
Returns:

<code>
int - 1 on success, an exception otherwise
</code>

<p />

<hr />

</body>
</html>
