<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul {
   list-style-image: url('/img/parent_node.gif');
}

.toolbar-h1 {
   text-transform: capitalize;
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="toolbar-h1">
<img src="/img/rhn-icon-api.gif" /> <a href="/rhn/apidoc/">API Overview</a>:

errata<br />

</div>
<span class="small-text">( <a href="/rhn/apidoc/">Return to API Overview</a> )</span>
<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul>

<li><a href="#applicableToChannels">applicableToChannels</a></li>

<li><a href="#bugzillaFixes">bugzillaFixes</a></li>

<li><a href="#getDetails">getDetails</a></li>

<li><a href="#listAffectedSystems">listAffectedSystems</a></li>

<li><a href="#listCves">listCves</a></li>

<li><a href="#listKeywords">listKeywords</a></li>

<li><a href="#listPackages">listPackages</a></li>

</ul>
</div>
<h2>Description</h2>

<p>
ErrataHandler - provides methods to access errata within Red Hat Network.
</p>

<p><strong>Namespace</strong>:

errata

</p>
<hr />

<h3><a name="applicableToChannels" href="#top">Method: applicableToChannels</a></h3>

Description:<br />

Returns a list of channels applicable to the erratum matching the given advisoryName.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string advisoryName - name of errata</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (channel)</li> <ul> <li>int "channel_id"</li> <li>string "channel_label"</li> <li>string "channel_name"</li> <li>string "parent_channel_label"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="bugzillaFixes" href="#top">Method: bugzillaFixes</a></h3>

Description:<br />

Get the bugzilla fixes for an erratum matching the given advisoryName.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string advisoryName - name of erratum</li>

</ul>
<p />
Returns:

<code>
<ul> <li>struct</li> <ul> <li>int (bugzilla_id)</li> <li>string (bug_summary)</li> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="getDetails" href="#top">Method: getDetails</a></h3>

Description:<br />

retrieves the details for the erratum matching the given advisoryName.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string advisoryName - name of erratum</li>

</ul>
<p />
Returns:

<code>
<ul> <li>struct (erratum)</li> <ul> <li>string "errata_issue_date"</li> <li>string "errata_update_date"</li> <li>string "errata_last_modified_date"</li> <li>string "errata_description"</li> <li>string "errata_synopsis"</li> <li>string "errata_topic"</li> <li>string "errata_references"</li> <li>string "errata_notes"</li> <li>string "errata_type"</li> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listAffectedSystems" href="#top">Method: listAffectedSystems</a></h3>

Description:<br />

Return the list of systems affected by the erratum with advisoryName.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string advisoryName - name of erratum</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (system)</li> <ul> <li>int "system_id"</li> <li>string "system_name"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listCves" href="#top">Method: listCves</a></h3>

Description:<br />

Returns a list of <a href="http://www.cve.mitre.org/">CVE</a>s applicable to the erratum matching the given advisoryName.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string advisoryName - name of errata</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>string (cve_name)</li> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listKeywords" href="#top">Method: listKeywords</a></h3>

Description:<br />

Get the keywords associated with an erratum matching the given advisoryName.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string advisoryName - name of errata</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>string (keyword)</li> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listPackages" href="#top">Method: listPackages</a></h3>

Description:<br />

Returns a list of the packages affected by the erratum matching the given advisoryName.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string advisoryName - name of errata</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "package_build_date"</li> <li>string "package_last_modified_date"</li> <li>string "package_size"</li> <li>string "package_payload_size"</li> <li>string "package_name"</li> <li>string "package_epoch"</li> <li>string "package_version"</li> <li>string "package_release"</li> <li>string "package_arch_label"</li> <li>array "providing_channels" <ul> <li>string label - channel label providing this package</li> </ul> </li> <li>string "package_build_host"</li> <li>string "package_description"</li> <li>string "package_md5sum"</li> <li>string "package_vendor"</li> <li>string "package_summary"</li> <li>string "package_cookie"</li> <li>string "package_license"</li> <li>string "package_file"</li> <li>string "package_build_date"</li> <li>string "package_last_modified_date"</li> <li>string "package_size"</li> <li>string "package_payload_size"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

</body>
</html>
