<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul {
   list-style-image: url('/img/parent_node.gif');
}

.toolbar-h1 {
   text-transform: capitalize;
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="toolbar-h1">
<img src="/img/rhn-icon-api.gif" /> <a href="/rhn/apidoc/">API Overview</a>:

packages<br />

</div>
<span class="small-text">( <a href="/rhn/apidoc/">Return to API Overview</a> )</span>
<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul>

<li><a href="#getDetails">getDetails</a></li>

<li><a href="#listChangelog">listChangelog</a></li>

<li><a href="#listDependencies">listDependencies</a></li>

<li><a href="#listFiles">listFiles</a></li>

<li><a href="#listProvidingChannels">listProvidingChannels</a></li>

<li><a href="#listProvidingErrata">listProvidingErrata</a></li>

<li><a href="#removePackage">removePackage</a></li>

</ul>
</div>
<h2>Description</h2>

<p>
Methods to retrieve information about the Packages contained within the Red Hat Network.
</p>

<p><strong>Namespace</strong>:

packages

</p>
<hr />

<h3><a name="getDetails" href="#top">Method: getDetails</a></h3>

Description:<br />

retrieves the details for the package with the given pid.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int pid - package id.</li>

</ul>
<p />
Returns:

<code>
<ul> <li>struct (package)</li> <ul> <li>string "package_name"</li> <li>string "package_version"</li> <li>string "package_release"</li> <li>string "package_epoch"</li> <li>string "package_arch_label"</li> <li>string "package_summary"</li> <li>string "package_description"</li> <li>string "package_size"</li> <li>string "package_payload_size"</li> <li>string "package_md5sum"</li> <li>string "package_license"</li> <li>string "package_cookie"</li> <li>string "package_file"</li> <li>string "package_vendor"</li> <li>string "package_build_host"</li> <li>string "package_build_date"</li> <li>string "package_last_modified_date"</li> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listChangelog" href="#top">Method: listChangelog</a></h3>

Description:<br />

Returns the ChangeLog for the given package.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int pid - package id.</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (changelog entry)</li> <ul> <li>string "entry_author"</li> <li>string "entry_date"</li> <li>string "entry_text"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listDependencies" href="#top">Method: listDependencies</a></h3>

Description:<br />

List the dependencies for this package.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int pid - package id.</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct</li> <ul> <li>string "dependency"</li> <li>string "dependency_type" - One of the following:</li> <ul> <li>requires</li> <li>conflicts</li> <li>obsoletes</li> <li>provides"</li> </ul> <li>string "dependency_modifier"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listFiles" href="#top">Method: listFiles</a></h3>

Description:<br />

returns a files associated with a package.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int pid - package id.</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (file info)</li> <ul> <li>string "file_path"</li> <li>string "file_type"</li> <li>string "file_last_modified_date"</li> <li>string "file_md5sum"</li> <li>string "file_size"</li> <li>string "file_linkto"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listProvidingChannels" href="#top">Method: listProvidingChannels</a></h3>

Description:<br />

returns a list of channels which provide the package.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int pid - package id.</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (channel)</li> <ul> <li>string "channel_label"</li> <li>string "channel_parent_label"</li> <li>string "channel_name"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listProvidingErrata" href="#top">Method: listProvidingErrata</a></h3>

Description:<br />

returns a list of errata providing the given package.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int pid - package id.</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (errata)</li> <ul> <li>string "errata_advisory"</li> <li>string "errata_issue_date"</li> <li>string "errata_last_modified_date"</li> <li>string "errata_update_date"</li> <li>string "errata_synopsis"</li> <li>string "errata_type"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="removePackage" href="#top">Method: removePackage</a></h3>

Description:<br />

Remove the package from Red Hat Network with the based on package id.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int pid - package id.</li>

</ul>
<p />
Returns:

<code>
void
</code>

<p />

<hr />

</body>
</html>
