<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul {
   list-style-image: url('/img/parent_node.gif');
}

.toolbar-h1 {
   text-transform: capitalize;
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="toolbar-h1">
<img src="/img/rhn-icon-api.gif" /> <a href="/rhn/apidoc/">API Overview</a>:

system<br />

</div>
<span class="small-text">( <a href="/rhn/apidoc/">Return to API Overview</a> )</span>
<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul>

<li><a href="#addNote">addNote</a></li>

<li><a href="#deleteSystems">deleteSystems</a></li>

<li><a href="#downloadSystemId">downloadSystemId</a></li>

<li><a href="#getCustomValues">getCustomValues</a></li>

<li><a href="#getEntitlements">getEntitlements</a></li>

<li><a href="#getNetwork">getNetwork</a></li>

<li><a href="#getNetworkDevices">getNetworkDevices</a></li>

<li><a href="#isNvreInstalled">isNvreInstalled</a></li>

<li><a href="#isNvreInstalled">isNvreInstalled</a></li>

<li><a href="#listBaseChannels">listBaseChannels</a></li>

<li><a href="#listChildChannels">listChildChannels</a></li>

<li><a href="#listGroups">listGroups</a></li>

<li><a href="#listLatestInstallablePackages">listLatestInstallablePackages</a></li>

<li><a href="#listLatestUpgradablePackages">listLatestUpgradablePackages</a></li>

<li><a href="#listNewerInstalledPackages">listNewerInstalledPackages</a></li>

<li><a href="#listOlderInstalledPackages">listOlderInstalledPackages</a></li>

<li><a href="#listPackages">listPackages</a></li>

<li><a href="#listUserSystems">listUserSystems</a></li>

<li><a href="#listUserSystems">listUserSystems</a></li>

<li><a href="#obtainReactivationKey">obtainReactivationKey</a></li>

<li><a href="#setBaseChannel">setBaseChannel</a></li>

<li><a href="#setChildChannels">setChildChannels</a></li>

<li><a href="#setCustomValues">setCustomValues</a></li>

<li><a href="#setGroupMembership">setGroupMembership</a></li>

<li><a href="#setProfileName">setProfileName</a></li>

<li><a href="#upgradeEntitlement">upgradeEntitlement</a></li>

</ul>
</div>
<h2>Description</h2>

<p>
Provides methods to access and modify many aspects of a system within the Red Hat Network.
</p>

<p><strong>Namespace</strong>:

system

</p>
<hr />

<h3><a name="addNote" href="#top">Method: addNote</a></h3>

Description:<br />

Add a new note to the given server.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li>string subject - what the note is about.</li>

<li>string body - content of the note.</li>

</ul>
<p />
Returns:

<code>
int - 1 if note was added successfully.
</code>

<p />

<hr />

<h3><a name="deleteSystems" href="#top">Method: deleteSystems</a></h3>

Description:<br />

Delete systems given a list of system ids.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="downloadSystemId" href="#top">Method: downloadSystemId</a></h3>

Description:<br />

Get the system_id file for a given server.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
string (system_id file)
</code>

<p />

<hr />

<h3><a name="getCustomValues" href="#top">Method: getCustomValues</a></h3>

Description:<br />

Get the custom data values defined for the server.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
<ul> <li>struct (custom info)</li> <ul> <li>string (custom_info_label)</li> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="getEntitlements" href="#top">Method: getEntitlements</a></h3>

Description:<br />

Gets the entitlements for a given server.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>string (entitlement_label)</li> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="getNetwork" href="#top">Method: getNetwork</a></h3>

Description:<br />

Get the ip and hostname for a given server.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
<ul> <li>struct</li> <ul> <li>string "hostname" - Hostname of server.</li> <li>string "ip" - IP address assigned to this server.</li> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="getNetworkDevices" href="#top">Method: getNetworkDevices</a></h3>

Description:<br />

Returns the network devices for the given server.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (network device)</li> <ul> <li>string "ip" - IP address assigned to this network device.</li> <li>string "interface" - Network interface assigned to device e.g. eth0.</li> <li>string "netmask" - Network mask assigned to device</li> <li>string "hardware_address" - Hardware Address of device.</li> <li>string "module" - Network driver used for this device.</li> <li>string "broadcast" - Broadcast address for device.</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="isNvreInstalled" href="#top">Method: isNvreInstalled</a></h3>

Description:<br />

Is the package with the given nvre installed on given system.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li>string name - package name sought</li>

<li>string version - package version</li>

<li>string release - package release</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="isNvreInstalled" href="#top">Method: isNvreInstalled</a></h3>

Description:<br />

Is the package with the given nvre installed on given system.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li>string name - package name sought</li>

<li>string version - package version</li>

<li>string release - package release</li>

<li>string epoch - package epoch</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="listBaseChannels" href="#top">Method: listBaseChannels</a></h3>

Description:<br />

Returns a list of subscribable base channels.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (base channel)</li> <ul> <li>int "ID" - base channel id</li> <li>string "NAME" - name of channel</li> <li>string "LABEL" - label of channel</li> <li>int "CURRENT_BASE" - 1 indicates it is the current base channel.</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listChildChannels" href="#top">Method: listChildChannels</a></h3>

Description:<br />

Returns a list of subscribable child channels.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (child channels)</li> <ul> <li>int "ID" - channel id</li> <li>string "NAME" - name of channel</li> <li>string "LABEL" - label of channel</li> <li>string "SUMMARY"</li> <li>string "HAS_LICENSE"</li> <li>string "GPG_KEY_URL"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listGroups" href="#top">Method: listGroups</a></h3>

Description:<br />

List the available groups for a given system.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (system group)</li> <ul> <li>int "sgid" - server group id</li> <li>int "subscribed" - 1 if the given server is subscribed to this server group; 0 otherwise.</li> <li>string "system_group_name" - name of the server group.</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listLatestInstallablePackages" href="#top">Method: listLatestInstallablePackages</a></h3>

Description:<br />

Get the list of latest installable packages for a given system.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "package_name"</li> <li>string "package_version"</li> <li>string "package_release"</li> <li>string "package_epoch"</li> <li>string "package_id"</li> <li>string "package_arch_label"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listLatestUpgradablePackages" href="#top">Method: listLatestUpgradablePackages</a></h3>

Description:<br />

Get the list of latest upgradable packages for a given system.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "package_name"</li> <li>string "from_version"</li> <li>string "from_release"</li> <li>string "from_epoch"</li> <li>string "to_version"</li> <li>string "to_release"</li> <li>string "to_epoch"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listNewerInstalledPackages" href="#top">Method: listNewerInstalledPackages</a></h3>

Description:<br />

Given a package name + version + release + epoch, returns the list of packages installed on the system w/ the same name that are newer.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li>string name - package name sought</li>

<li>string version - package version</li>

<li>string release - package release</li>

<li>string epoch - package epoch</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "NAME"</li> <li>string "VERSION"</li> <li>string "RELEASE"</li> <li>string "EPOCH"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listOlderInstalledPackages" href="#top">Method: listOlderInstalledPackages</a></h3>

Description:<br />

Given a package name + version + release + epoch, returns the list of packages installed on the system w/ the same name that are older.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li>string name - package name sought</li>

<li>string version - package version</li>

<li>string release - package release</li>

<li>string epoch - package epoch</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "NAME"</li> <li>string "VERSION"</li> <li>string "RELEASE"</li> <li>string "EPOCH"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listPackages" href="#top">Method: listPackages</a></h3>

Description:<br />

List the installed packages for a given system.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (package)</li> <ul> <li>string "name"</li> <li>string "version"</li> <li>string "release"</li> <li>string "epoch"</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listUserSystems" href="#top">Method: listUserSystems</a></h3>

Description:<br />

List systems for a given user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string login - user whose list of systems are sought.</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (system)</li> <ul> <li>int "id" - server id</li> <li>string "name" - server name</li> <li>string "last_checkin" - last time server successfully checked in with Red Hat Network.</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listUserSystems" href="#top">Method: listUserSystems</a></h3>

Description:<br />

List systems for the logged in user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (system)</li> <ul> <li>int "id" - server id</li> <li>string "name" - server name</li> <li>string "last_checkin" - last time server successfully checked in with Red Hat Network.</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="obtainReactivationKey" href="#top">Method: obtainReactivationKey</a></h3>

Description:<br />

Obtains a reactivation key for this server.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

</ul>
<p />
Returns:

<code>
string
</code>

<p />

<hr />

<h3><a name="setBaseChannel" href="#top">Method: setBaseChannel</a></h3>

Description:<br />

Assigns the server to a new baseChannel.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li>int channelId</li>

</ul>
<p />
Returns:

<code>
int - 1 successful subscription.
</code>

<p />

<hr />

<h3><a name="setChildChannels" href="#top">Method: setChildChannels</a></h3>

Description:<br />

Subscribes the given server to the child channels (ids).<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li>array channelIds - array of channel ids</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="setCustomValues" href="#top">Method: setCustomValues</a></h3>

Description:<br />

Set custom values for the specified server.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li><ul> <li>struct</li> <ul> <li>string (custom info label)</li> <li>string (value)</li> </ul> </ul></li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="setGroupMembership" href="#top">Method: setGroupMembership</a></h3>

Description:<br />

Set a servers membership in a given group.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li>int serverGroupId</li>

<li>int member - 1 to assign the given server to the given server group; 0 to remove the given server from the given server group.</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="setProfileName" href="#top">Method: setProfileName</a></h3>

Description:<br />

Set the profile name for the server.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li>string name - name of the profile</li>

</ul>
<p />
Returns:

<code>
int - 1 if note was added successfully.
</code>

<p />

<hr />

<h3><a name="upgradeEntitlement" href="#top">Method: upgradeEntitlement</a></h3>

Description:<br />

Adds an entitlement to a given server.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>int serverId</li>

<li>string entitlementLevel.</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

</body>
</html>
