<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul {
   list-style-image: url('/img/parent_node.gif');
}

.toolbar-h1 {
   text-transform: capitalize;
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="toolbar-h1">
<img src="/img/rhn-icon-api.gif" /> <a href="/rhn/apidoc/">API Overview</a>:

user<br />

</div>
<span class="small-text">( <a href="/rhn/apidoc/">Return to API Overview</a> )</span>
<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul>

<li><a href="#addRole">addRole</a></li>

<li><a href="#create">create</a></li>

<li><a href="#create">create</a></li>

<li><a href="#delete">delete</a></li>

<li><a href="#disable">disable</a></li>

<li><a href="#enable">enable</a></li>

<li><a href="#getDetails">getDetails</a></li>

<li><a href="#listRoles">listRoles</a></li>

<li><a href="#listUsers">listUsers</a></li>

<li><a href="#removeRole">removeRole</a></li>

<li><a href="#setDetails">setDetails</a></li>

<li><a href="#usePamAuthentication">usePamAuthentication</a></li>

</ul>
</div>
<h2>Description</h2>

<p>
User namespace contains methods to access common user functions available from the web user interface.
</p>

<p><strong>Namespace</strong>:

user

</p>
<hr />

<h3><a name="addRole" href="#top">Method: addRole</a></h3>

Description:<br />

Adds the given role to the given user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string login - user to update.</li>

<li>string role - name of role to grant</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="create" href="#top">Method: create</a></h3>

Description:<br />

Creates a new user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string desiredLogin - desired login, will fail if already used.</li>

<li>string desiredPassword</li>

<li>string firstName</li>

<li>string lastName</li>

<li>string email - email address of user.</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="create" href="#top">Method: create</a></h3>

Description:<br />

Creates a new user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string desiredLogin - desired login, will fail if already used.</li>

<li>string desiredPassword</li>

<li>string firstName</li>

<li>string lastName</li>

<li>string email - email address of user.</li>

<li>int usePamAuth - 1 if you want to use PAM authentication for this user.</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="delete" href="#top">Method: delete</a></h3>

Description:<br />

Deletes the specified user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string login - login to delete.</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="disable" href="#top">Method: disable</a></h3>

Description:<br />

Disables the specified user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string login - login to disable.</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="enable" href="#top">Method: enable</a></h3>

Description:<br />

Enable the specified user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string login - login to enable.</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="getDetails" href="#top">Method: getDetails</a></h3>

Description:<br />

Returns the details about a given user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string login - user sought</li>

</ul>
<p />
Returns:

<code>
<ul> <li>struct (user details)</li> <ul> <li>string "first_names"</li> <li>string "last_name"</li> <li>string "email"</li> <li>string "prefix"</li> <li>string "last_login_date"</li> <li>string "created_date"</li> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listRoles" href="#top">Method: listRoles</a></h3>

Description:<br />

Returns a list of the user's roles.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string login - user sought</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>string (role label)</li> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="listUsers" href="#top">Method: listUsers</a></h3>

Description:<br />

Returns a list of users in your org.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

</ul>
<p />
Returns:

<code>
<ul> <li>array</li> <ul> <li>struct (user)</li> <ul> <li>int "id"</li> <li>string "login" - user's login name</li> <li>string "login_uc" - uppercase version of login</li> </ul> </ul> </ul>
</code>

<p />

<hr />

<h3><a name="removeRole" href="#top">Method: removeRole</a></h3>

Description:<br />

Removes the role from the given user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string login - user to update.</li>

<li>string role - name of role to remove</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="setDetails" href="#top">Method: setDetails</a></h3>

Description:<br />

Updates the details of a given user.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string login - user to update.</li>

<li>struct (user's details) <ul> <li>string "first_names"</li> <li>string "last_name"</li> <li>string "email"</li> <li>string "prefix"</li> <li>string "password"</li> </ul></li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

<h3><a name="usePamAuthentication" href="#top">Method: usePamAuthentication</a></h3>

Description:<br />

Toggles whether or not a user uses PAM authentication or basic RHN authentication.<p />

Parameters:<br />
<ul>

<li>string sessionKey</li>

<li>string login - login to modify.</li>

<li>int pam_value - 1 to turn it on, 0 to disable.</li>

</ul>
<p />
Returns:

<code>
int
</code>

<p />

<hr />

</body>
</html>
